@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;300;400;500;600&display=swap');

:root{
    --blue: #2980b9;
    --black: #333;
    --white: #fff;
    --light-color: #777;
    --light-bg: #eee;
    --box-shadow: 0 5px 10px rgba(0,0,0,.1);
}

*{
    font-family: 'Poppins', sans-serif;
    margin: 0; padding: 0;
    box-sizing: border-box;
    outline: none; border: none;
    text-decoration: none;
    text-transform: capitalize;
    transition: all .2s linear; 
}

html::-webkit-scrollbar{
    width: 10px;
}

html::-webkit-scrollbar-track{
    background: var(--blue);
}

html::-webkit-scrollbar-track{
    background: var(--white);
    border-radius: 50px;
}

.title{
    font-size: 25px;
    color: var(--blue);
    margin-bottom: 15px;
}

.btn{
    margin-top: 10px;
    display: inline-block;
    padding: 7px 20px;
    border-radius: 5px;
    background: var(--blue);
    color: var(--white);
    font-size: 17px;
    box-shadow: var(--box-shadow);
}

.btn:hover{
    background: var(--black);
}

.container{
    padding: 100px 9%;
    background: linear-gradient(45deg, deeppink, var(--blue));
    display: flex;    
}

.container .profile{
    flex: 1 1 400px;
    background: var(--white); 
    padding: 30px 20px;
    text-align: center;
    position: sticky;
    top: 20px; left: 0;
    border-right: 2px solid var(--black);
    align-self: flex-start;
}

.container .profile img{
    height: 150px;
    width: 150px;
    border-radius: 50%;
    border: 4px double var(--blue);
    object-fit: cover;
    margin-bottom: 10px;
}

.container .profile h3{
    color: var(--black);
    font-size: 20px;
}

.container .profile p{
    color: var(--blue);
    padding: 5px 0;
    margin-bottom: 10px;
    font-size: 15px;
}

.container .profile .share{
    margin: 10px 0;
}

.container .profile .share a{
    height: 50px;
    width: 50px;
    line-height: 50px;
    font-size: 20px;
    border-radius: 50%;
    color: var(--black);
    background: var(--light-bg);
}

.container .profile .share a:hover{
    background: var(--blue);
    color: var(--white);
    box-shadow: var(--box-shadow);
}


.container .information{
    flex: 1 1 1000px;
    background: var(--white); 
    padding: 20px 30px;
}

.container .information .about p{
    font-size: 17px;
    line-height: 2;
    padding: 5px 0;
    color: var(--light-color);
}

.container .information .about .box-container{
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}

.container .information .about .box-container .box{
    flex: 1 1 250px;
}

.container .information .about .box-container .box h3{
    font-size: 15px;
    padding: 10px 0;
    color: var(--black);
}

.container .information .about .box-container .box h3 span{
    color: var(--light-color); 
}

.container .information .services{
    padding: 20px 0;
}

.container .information .services .box-container{
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}

.container .information .services .box-container .box{
    flex: 1 1 17px;
    text-align: center;
    border-radius: 5px;
    padding: 20px;
    background: var(--light-bg);

}

.container .information .services .box-container .box img{
    height: 50px;
    margin-bottom: 10px;
}

.container .information .services .box-container .box h3{
     font-size: 15px;
     color: var(--light-color);
}

.container .information .skills .box-container{
    display: flex;
    flex-wrap: wrap;
    gap:15px;
}

.container .information .skills .box-container .box{
    flex: 1 1 300px;
}

.container .information .skills .box-container .box .progress h3{
    padding: 10px 0;
    display: flex;
    justify-content: space-between;
    color: var(--black);
    font-size: 15px;
}

.container .information .skills .box-container .box .progress h3 span{
    color: var(--light-color);
}

.container .information .skills .box-container .box .progress .bar{
    overflow: hidden;
    border-radius: 50px;
    height: 10px;
    background: var(--light-bg);
}

.container .information .skills .box-container .box .progress .bar span{
    background: var(--blue);
    height: 100%;
    display: block;
    border-radius: 50px;
}

.container .information .skills .box-container .box:first-child .progress:nth-child(1) .bar span{
    width: 95%;
}

.container .information .skills .box-container .box:first-child .progress:nth-child(2) .bar span{
    width: 80%;
}

.container .information .skills .box-container .box:first-child .progress:nth-child(3) .bar span{
    width: 70%;
}

.container .information .skills .box-container .box:first-child .progress:nth-child(4) .bar span{
    width: 55%;
}

.container .information .skills .box-container .box:first-child .progress:nth-child(5) .bar span{
    width: 55%;
}

.container .information .skills .box-container .box:last-child .progress:nth-child(1) .bar span{
    width: 35%;
}

.container .information .skills .box-container .box:last-child .progress:nth-child(2) .bar span{
    width: 50%;
}

.container .information .skills .box-container .box:last-child .progress:nth-child(3) .bar span{
    width: 30%;
}

.container .information .skills .box-container .box:last-child .progress:nth-child(4) .bar span{
    width: 25%;
}

.container .information .experience{
    margin: 20px 0;
}

.container .information .experience .box-container{
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}

.container .information .experience .box-container .box{
    padding: 20px;
    border-radius: 5px;
    flex: 1 1 350px;
    background: var(--light-bg);
}

.container .information .experience .box-container .box span{
    color: var(--blue);
    font-size: 15px;
}

.container .information .experience .box-container .box span h3{
    color: var(--black);
    font-size: 17px;
    padding: 5px 0;
}

.container .information .experience .box-container .box span p{
    color: var(--light-color);
    line-height: 2;
    font-size: 13px;
} 

.container .information .contact .box-container{
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}

.container .information .contact .box-container .box{
    flex: 1 1 200px;
    display: flex;
    align-self: flex-start;
    gap: 10px;
}

.container .information .contact .box-container .box i{
    height: 40px;
    width: 40px;
    line-height: 40px;
    font-size: 14px;
    border-radius: 50%;
    background: var(--blue);
    color: var(--white);
    text-align: center;
}

.container .information .contact .box-container .box h3{
    font-size: 17px;
    color: var(--black);
    padding-bottom: 5px;
}

.container .information .contact .box-container .box p{
    font-size: 14px;
    color: var(--light-color);
    line-height: 2;
}

@media (max-width: 1200px){

    .container{
        flex-flow: column;
        padding: 20px;
        justify-content: center;
    }

    .container .profile{
        position: static;
        border-radius: 5px;
        box-shadow: var(--box-shadow);
        padding: 20px;
        border-right: none;
        margin: 0 auto;
        margin-bottom: 15px;
    }
    
    .container .information{
        position: static;
        border-radius: 5px;
        box-shadow: var(--box-shadow);
        padding: 20px;
    }
}

@media (max-width: 450px){

    .container .profile{
        width: 100%;
    }

    .container .profile .btn{
        width: 100%;
    }

    .container .information .about p{
        font-size: 12px;
    }

    .container .information .experience .box-container .box p{
        font-size: 12px;
    }
}